#ifndef AUBO_SCOPE_FOLDER_NODE_H
#define AUBO_SCOPE_FOLDER_NODE_H

#include <aubo_caps/domain/program/nodes/program_node.h>

namespace arcs {
namespace aubo_scope {
ARCS_CLASS_FORWARD(FolderNode);

class ARCS_ABI_EXPORT FolderNode : public ProgramNode
{
public:
    FolderNode(FolderNode &f);
    FolderNode(FolderNode &&f);
    virtual ~FolderNode();

private:
    friend class DataSwitch;
    FolderNode();
    void *d_{ nullptr };
};

} // namespace aubo_scope
} // namespace arcs
#endif // AUBO_SCOPE_FOLDER_NODE_H
