include(CMakeFindDependencyMacro)
set(ENV{CPM_SOURCE_CACHE} $ENV{HOME}/.cache/CPM)
include(${CMAKE_CURRENT_LIST_DIR}/CPM_0.34.3.cmake)

# 如果想要获取Config阶段的变量，可以使用这个
# set(my-config-var )

# 如果你的项目需要依赖其他的库，可以使用下面语句，用法与find_package相同
# find_dependency(MYDEP REQUIRED)
include("${CMAKE_CURRENT_LIST_DIR}/aubo_extension.cmake")

# Any extra setup
CPMAddPackage(cppmicroservices
    NAME cppmicroservices
    URL "http://highouse.synology.me:8001/public/cppmicroservices4-5f38d3a.zip"
    VERSION 4.0.0
    DOWNLOAD_ONLY YES
)
find_dependency(CppMicroServices REQUIRED PATHS ${cppmicroservices_SOURCE_DIR}/share/cppmicroservices4/cmake)

# Add the targets file
include("${CMAKE_CURRENT_LIST_DIR}/AuboCapsTargets.cmake")
